Add an event to a live session.
API Key API key used for authentication
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/json
curl -X POST "https://example.com/live-session/addEvent" \ -H "Content-Type: application/json" \ -d '{ "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459", "type": "string", "description": "string", "timestamp": "2019-08-24T14:15:22Z" }'{ "id": "00000000-0000-0000-0000-000000000000", "sessionId": "00000000-0000-0000-0000-000000000001", "type": "KEY_MOMENT", "description": "Started playing", "metadata": "{\"activity\":\"Just Chatting\"}", "timestamp": "2026-07-15T21:26:44.885Z", "createdAt": "2026-07-15T21:26:44.885Z"}{ "error": "string", "code": "string", "details": null}Session ID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidEvent type (e.g. KEY_MOMENT)
^[a-z0-9][a-z0-9_-]{0,79}$length <= 80Event description
length <= 1000Event metadata as JSON string
length <= 4000"{}"Event timestamp (ISO 8601)
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$date-time